Storm docs logo
Search the docs.../
Explore Storm Products

Create Stream

Full create stream request.

Request

PropertyValue
MethodPOST
URLhttps://api.stormstreaming.com/api/request/stream
Authenticationx-api-key
Request
Code iconbash
curl -X POST "https://api.stormstreaming.com/api/request/stream" \
  -H "x-api-key: YOUR_API_KEY" 

Request Body

FieldDefaultRequiredValidationDescription
name-YesString 1-255 charsStream name
description-NoString 1-2000 charsStream description
regionId-YesInt (see regions table)Region closest to stream source
countdown0NoInt 0/1Display countdown before stream
countdownStartDate-If countdown=1d.m.Y H:i:sPlanned publish date
countdownTimezone-If countdown=1See Get Possible ValuesTimezone for countdown
isPublished1NoInt 0/10=not published, 1=published
sourceTypePUSHNoString PUSH/PULLPUSH for encoders, PULL for external servers
sourceId-If sourceType=PULLIntSource ID from stream-sources
encoderModePASSTHROUGHNoString PASSTHROUGH/ABRPASSTHROUGH or Adaptive Bitrate
themeId-NoIntCustom theme ID
thumbnailFile-Nojpeg,png,jpg,gif,webp max 8192KBThumbnail image
splashscreenFile-Nojpeg,png,jpg,gif,webp max 8192KBCountdown background image

Available Regions:

regionIdRegion
1North America (East Coast)
2North America (West Coast)
3South America
4Europe
5Asia Pacific (China)
6Asia Pacific (South Korea)
7Asia Pacific (Japan)
8Australia
9Africa
Request Body
Code iconjson
{
  "name": "My stream",
  "description": "Stream description",
  "regionId": 1,
  "countdown": 0,
  "isPublished": 1,
  "sourceType": "PUSH",
  "encoderMode": "PASSTHROUGH"
}

Response

ParameterTypeDescription
messagestringResponse status message
stream.streamKeystringUnique stream key identifier
stream.namestringName of the stream
stream.descriptionstringStream description (nullable)
stream.regionIdintegerRegion ID
stream.isPublishedbooleanWhether the stream is published
stream.countdownobjectCountdown configuration
stream.sourceTypestringSource type (PUSH/PULL)
stream.encoderModestringEncoder mode (PASSTHROUGH/ABR)
stream.credentialsobjectRTMP authentication credentials
stream.credentials.usernamestringUsername for authorization
stream.credentials.passwordstringPassword for authorization
stream.themeobjectPlayer theme configuration
stream.isCreatedbooleanStream creation status
stream.createdAtstringCreation timestamp (ISO 8601)
Successful Response (200)
Code iconjson
{
  "message": "Stream has been created",
  "stream": {
    "streamKey": "9ed8b119f8ed9425a428a47846e55c6b761afc6c",
    "name": "My stream",
    "description": null,
    "regionId": 1,
    "isPublished": true,
    "countdown": {
      "isCountdown": false,
      "startDate": null,
      "timezone": null
    },
    "sourceType": "PUSH",
    "encoderMode": "PASSTHROUGH",
    "credentials": {
      "username": "902aee51",
      "password": "f9aef6eac1d977d"
    },
    "thumbnail": null,
    "splashscreen": null,
    "source": null,
    "targets": [],
    "themeId": 54,
    "theme": {
      "id": 54,
      "name": "test",
      "isDefault": 1
    },
    "isCreated": true,
    "createdAt": "2024-01-25T11:10:53.000000Z"
  }
}
Support Needed?

Create a free ticket and our support team will provide you necessary assistance.

Blog
Support
About us
Patents
Term of use
Privacy policy
Contact
©2026 Storm Streaming Media. All Rights Reserved.